DNSCache._CacheEntry
Date: 2017-02-10

javax.jmdns.impl

## Class DNSCache._CacheEntry

- java.lang.Object
- - javax.jmdns.impl.DNSCache._CacheEntry

- All Implemented Interfaces:
    java.util.Map.Entry<java.lang.String,java.util.List<? extends DNSEntry>>
  Enclosing class:
    DNSCache

      protected static class DNSCache._CacheEntry
      extends java.lang.Object
      implements java.util.Map.Entry<java.lang.String,java.util.List<? extends DNSEntry>>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DNSCache._CacheEntry(java.util.Map.Entry<java.lang.String,java.util.List<? extends DNSEntry>> entry)`
    `protected` | `DNSCache._CacheEntry(java.lang.String key, java.util.List<? extends DNSEntry> value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object entry)`
    `java.lang.String` | `getKey()`
    `java.util.List<? extends DNSEntry>` | `getValue()`
    `int` | `hashCode()`
    `boolean` | `isEmpty()` Returns `true` if this list contains no elements.
    `java.util.List<? extends DNSEntry>` | `setValue(java.util.List<? extends DNSEntry> value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DNSCache._CacheEntry

          protected DNSCache._CacheEntry(java.lang.String key,
                              java.util.List<? extends DNSEntry> value)

      Parameters:
        `key` -
        `value` -

    - #### DNSCache._CacheEntry

          protected DNSCache._CacheEntry(java.util.Map.Entry<java.lang.String,java.util.List<? extends DNSEntry>> entry)

      Parameters:
        `entry` -

  - ### Method Detail

    - #### getKey

          public java.lang.String getKey()

      Specified by:
        `getKey` in interface `java.util.Map.Entry<java.lang.String,java.util.List<? extends DNSEntry>>`

    - #### getValue

          public java.util.List<? extends DNSEntry> getValue()

      Specified by:
        `getValue` in interface `java.util.Map.Entry<java.lang.String,java.util.List<? extends DNSEntry>>`

    - #### setValue

          public java.util.List<? extends DNSEntry> setValue(java.util.List<? extends DNSEntry> value)

      Specified by:
        `setValue` in interface `java.util.Map.Entry<java.lang.String,java.util.List<? extends DNSEntry>>`

    - #### isEmpty

          public boolean isEmpty()

      Returns `true` if this list contains no elements.
      Returns:
        `true` if this list contains no elements

    - #### equals

          public boolean equals(java.lang.Object entry)

      Specified by:
        `equals` in interface `java.util.Map.Entry<java.lang.String,java.util.List<? extends DNSEntry>>`
      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `java.util.Map.Entry<java.lang.String,java.util.List<? extends DNSEntry>>`
      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`